Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
keycodes.h File Reference
`#include "pluginterfaces/base/ftypes.h"`

## Classes
struct | KeyCode
| Simple data-struct representing a key-stroke on the keyboard. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.
namespace | Steinberg::KeyCodes
| Utility functions to handle key-codes.

## Enumerations
enum | VirtualKeyCodes { KEY_BACK = 1 , KEY_TAB , KEY_CLEAR , KEY_RETURN , KEY_PAUSE , KEY_ESCAPE , KEY_SPACE , KEY_NEXT , KEY_END , KEY_HOME , KEY_LEFT , KEY_UP , KEY_RIGHT , KEY_DOWN , KEY_PAGEUP , KEY_PAGEDOWN , KEY_SELECT , KEY_PRINT , KEY_ENTER , KEY_SNAPSHOT , KEY_INSERT , KEY_DELETE , KEY_HELP , KEY_NUMPAD0 , KEY_NUMPAD1 , KEY_NUMPAD2 , KEY_NUMPAD3 , KEY_NUMPAD4 , KEY_NUMPAD5 , KEY_NUMPAD6 , KEY_NUMPAD7 , KEY_NUMPAD8 , KEY_NUMPAD9 , KEY_MULTIPLY , KEY_ADD , KEY_SEPARATOR , KEY_SUBTRACT , KEY_DECIMAL , KEY_DIVIDE , KEY_F1 , KEY_F2 , KEY_F3 , KEY_F4 , KEY_F5 , KEY_F6 , KEY_F7 , KEY_F8 , KEY_F9 , KEY_F10 , KEY_F11 , KEY_F12 , KEY_NUMLOCK , KEY_SCROLL , KEY_SHIFT , KEY_CONTROL , KEY_ALT , KEY_EQUALS , KEY_CONTEXTMENU , KEY_MEDIA_PLAY , KEY_MEDIA_STOP , KEY_MEDIA_PREV , KEY_MEDIA_NEXT , KEY_VOLUME_UP , KEY_VOLUME_DOWN , KEY_F13 , KEY_F14 , KEY_F15 , KEY_F16 , KEY_F17 , KEY_F18 , KEY_F19 , KEY_F20 , KEY_F21 , KEY_F22 , KEY_F23 , KEY_F24 , KEY_SUPER , VKEY_FIRST_CODE = KEY_BACK , VKEY_LAST_CODE = KEY_SUPER , VKEY_FIRST_ASCII = 128 }
| Virtual Key Codes. More...
enum | KeyModifier { kShiftKey = 1 << 0 , kAlternateKey = 1 << 1 , kCommandKey = 1 << 2 , kControlKey = 1 << 3 }
| OS-independent enumeration of virtual modifier-codes. More...

## Functions
SMTG_CONSTEXPR14 char | VirtualKeyCodeToChar (uint8 vKey)
SMTG_CONSTEXPR14 uint8 | CharToVirtualKeyCode (char character)
template<typename Key>
bool | isModifierOnlyKey (const Key &key)
| Is only a modifier pressed on the keyboard?

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.